This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 747031 - Review Request: ghc-hs-bibutils - Haskell bindings to bibutils, the bibliography conversion utilities
Review Request: ghc-hs-bibutils - Haskell bindings to bibutils, the bibliogra...
Status: CLOSED DUPLICATE of bug 861923
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady - needs bibutils
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 11:48 EDT by Teemu Rytilahti
Modified: 2012-10-01 07:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 07:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Teemu Rytilahti 2011-10-18 11:48:08 EDT
Spec URL: http://stetson.frozenhat.fi/~tpr/fedora/ghc-hs-bibutils.spec
SRPM URL: http://stetson.frozenhat.fi/~tpr/fedora/ghc-hs-bibutils-4.12-0.fc15.src.rpm

rpmlint:

ghc-hs-bibutils.src: W: spelling-error %description -l en_US interconverts -> inter converts, inter-converts, interconnects
ghc-hs-bibutils.src: W: spelling-error %description -l en_US http -> HTTP
ghc-hs-bibutils.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-hs-bibutils.src: W: spelling-error %description -l en_US scripps -> scrips, scripts, scrimps
ghc-hs-bibutils.src: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-hs-bibutils.src: W: spelling-error %description -l en_US cdputnam -> Putnam
ghc-hs-bibutils.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
ghc-hs-bibutils.src:74: W: macro-in-comment %define
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Jens Petersen 2011-10-19 03:01:16 EDT
Thanks Teemu, generally your package looks ok.
I have a few smaller comments/suggestions:

> %global common_summary Haskell bindings to bibutils, the bibliography conversion utilities

I think "Haskell bindings to bibutils" is sufficient and succinct enough for the summary.

> %global common_description Haskell bindings to Chris Putnam's bibutils, a\

(I would break the line before "a".:)

> For more details about bibutils, please check:\
> <http://www.scripps.edu/~cdputnam/software/bibutils/>.\
> The original API documentation is available here:\
> <http://www.scripps.edu/~cdputnam/software/bibutils/library_specs.html>.\

Not sure both the urls are really necessary (people can get to
them from the hackage page anyway: personally I would remove
the second sentence anyway.

> The package release number refers to the release number of \
> the included bibutils library.

I think better to remove this.

Anyway you are pretty free to edit the description to your liking.

> Release:        0%{?dist}

You need to bump this.

> License:        GPLv2

I see a potential problem here: Bibutils.hsc proclaims itself
to be BSD license.  Is it because bibutils is GPL that
hs-bibutils is saying it is GPL too, or something else?

If you are not sure I suggest contacting the maintainer
to clarify the license.

> # BEGIN cabal2spec
:
> BuildRequires:  ghc-Cabal-devel
> BuildRequires:  ghc-rpm-macros
> BuildRequires:  ghc-syb-devel
> BuildRequires:  ghc-base-prof

Actually @DEPENDENCIES@ below is a placeholder for these.
So better to place them outside the "cabal2spec" commented block.

:
> # END cabal2spec
:
> #BuildRequires:  @DEPENDENCIES@

Here! ^ :)

> #%define cabal_configure_options -f "opt1 -opt2 ..."

You can remove this to get rid of the warning you mentioned:

>> ghc-hs-bibutils.src:74: W: macro-in-comment %define

> %changelog
> * Thu Oct 13 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 4.12-0
> - initial packaging for Fedora automatically generated by cabal2spec-0.24.1

You need to add a comment to document the changes you make
each time you update the spec file.
Comment 2 Teemu Rytilahti 2011-11-29 15:33:49 EST
First of all, sorry for so late response. I just fixed these issues (hopefully), and as I mentioned in IRC the licensing issue should also be resolved. Citing from a mail from the author:

> originally hs-bibutils was shipped separately from bibutils and so,
> while the second was and still is GPL, my bindings were BSD.
>
> Now hs-bibutils comes with an included copy of the bibutils library, and
> so I had to change the hs-bibutils' license to GPL in order to comply
> with bibutils' requirements.
>
> In other terms, starting from version 4.12 hs-bibutils is covered by the
> GNU GPL too.

According to bibutils license file it is licensed (specifically) under GPLv2.

Spec URL: http://stetson.frozenhat.fi/~tpr/fedora/ghc-hs-bibutils.spec
SRPM URL:
http://stetson.frozenhat.fi/~tpr/fedora/ghc-hs-bibutils-4.12-1.fc15.src.rpm
Comment 3 Jens Petersen 2012-02-07 05:06:54 EST
Very sorry to sit on this into the New Year... :-(

Apologies to ask now but would you be able to update the
packaging to current cabal2spec-0.25?  It is somewhat
simpler and cleaner than 0.24.
Comment 4 Jens Petersen 2012-04-08 23:33:23 EDT
Do you still want to submit this package?

Perhaps it is quicker if I submit? :)
Comment 5 JudeNagurney 2012-04-18 01:30:26 EDT
I'm commenting on this ticket as per https://bugzilla.redhat.com/show_bug.cgi?id=656892#c11

You may want to use the %gh_files macro to make sure the LICENSE and README file are published at the expected location.  I don't know if this macro is available in cabal2spec 0.24, so I would also reiterate comment #3 request to update the packaging to use cabal2spec 0.25.4.   An example of using %ghc_files is at http://code.haskell.org/augeas/packaging/rpm/ghc-augeas.spec
Comment 6 Jens Petersen 2012-09-10 02:14:34 EDT
I noticed now that hs-bibutils embeds a copy of bibutils which
is not allowed in Fedora - so I think bibutils would need to
be packaged first for Fedora, and then this package should
BR: bibutils-devel.
Comment 7 Jens Petersen 2012-10-01 07:28:49 EDT

*** This bug has been marked as a duplicate of bug 861923 ***

Note You need to log in before you can comment on or make changes to this bug.